package domain

type AlibabaHmMarketingDiscountItemAddAsyncCommonActivityParam struct {
	/*
	   外部活动编码     */
	OutActId *string `json:"out_act_id,omitempty" `

	/*
	   活动Id     */
	ActivityId *int64 `json:"activity_id,omitempty" `
}

func (s *AlibabaHmMarketingDiscountItemAddAsyncCommonActivityParam) SetOutActId(v string) *AlibabaHmMarketingDiscountItemAddAsyncCommonActivityParam {
	s.OutActId = &v
	return s
}
func (s *AlibabaHmMarketingDiscountItemAddAsyncCommonActivityParam) SetActivityId(v int64) *AlibabaHmMarketingDiscountItemAddAsyncCommonActivityParam {
	s.ActivityId = &v
	return s
}
